org.appng.xml.platform

## Enum PermissionMode

- java.lang.Object
- - java.lang.Enum<PermissionMode>
  - - org.appng.xml.platform.PermissionMode

- All Implemented Interfaces:
    Serializable, Comparable<PermissionMode>

      public enum PermissionMode
      extends Enum<PermissionMode>

  Java class for permissionMode.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="permissionMode">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="set"/>
           <enumeration value="read"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ` Reads, but does not apply, the required permission from the current subject.
    `SET` Determines if the current subject has the required permission, and applies it to the defining parent element.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PermissionMode` | `fromValue(String v)`
    `String` | `value()`
    `static PermissionMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PermissionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SET

          public static final PermissionMode SET

      Determines if the current subject has the required permission, and applies it to the defining parent element. This means, if the permission is not present, the parent element will not be displayed.

    - #### READ

          public static final PermissionMode READ

      Reads, but does not apply, the required permission from the current subject. This means, even if the permission is missing, the parent element will be visible.

  - ### Method Detail

    - #### values

          public static PermissionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PermissionMode c : PermissionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PermissionMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static PermissionMode fromValue(String v)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.